com.jogamp.gluegen.pcpp

## Class ConcatenatingReader

- java.lang.Object
- - java.io.Reader
  - - java.io.FilterReader
    - - com.jogamp.gluegen.pcpp.ConcatenatingReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Readable

      public class ConcatenatingReader
      extends FilterReader

  A Reader implementation which finds lines ending in the backslash character ('\') and concatenates them with the next line.

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterReader

      `in`

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcatenatingReader(BufferedReader in)` This class requires that the input reader be a BufferedReader so it can do line-oriented operations.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mark(int readAheadLimit)`
    `boolean` | `markSupported()`
    `int` | `read()`
    `int` | `read(char[] cbuf, int off, int len)`
    `boolean` | `ready()`
    `void` | `reset()`
    `long` | `skip(long n)`

    - ### Methods inherited from class java.io.FilterReader

      `close`

    - ### Methods inherited from class java.io.Reader

      `read, read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcatenatingReader

          public ConcatenatingReader(BufferedReader in)

      This class requires that the input reader be a BufferedReader so it can do line-oriented operations.

  - ### Method Detail

    - #### read

          public int read()
                   throws IOException

      Overrides:
        `read` in class `FilterReader`
      Throws:
        `IOException`

    - #### markSupported

          public boolean markSupported()

      Overrides:
        `markSupported` in class `FilterReader`

    - #### mark

          public void mark(int readAheadLimit)
                    throws IOException

      Overrides:
        `mark` in class `FilterReader`
      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Overrides:
        `reset` in class `FilterReader`
      Throws:
        `IOException`

    - #### ready

          public boolean ready()
                        throws IOException

      Overrides:
        `ready` in class `FilterReader`
      Throws:
        `IOException`

    - #### read

          public int read(char[] cbuf,
                 int off,
                 int len)
                   throws IOException

      Overrides:
        `read` in class `FilterReader`
      Throws:
        `IOException`

    - #### skip

          public long skip(long n)
                    throws IOException

      Overrides:
        `skip` in class `FilterReader`
      Throws:
        `IOException`